
From: Tom Rini <trini@kernel.crashing.org>

When building a ppc32 MULTIPLATFORM kernel for a 64bit pmac, we try and
build certain files or use certain functions that make no sense in that
context.  This catches the last of these.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/boot/simple/Makefile   |    3 +++
 25-akpm/arch/ppc/platforms/pmac_cache.S |    4 ++++
 2 files changed, 7 insertions(+)

diff -puN arch/ppc/boot/simple/Makefile~ppc32-fix-building-32bit-kernel-for-64bit-machines arch/ppc/boot/simple/Makefile
--- 25/arch/ppc/boot/simple/Makefile~ppc32-fix-building-32bit-kernel-for-64bit-machines	Fri Apr  8 16:43:12 2005
+++ 25-akpm/arch/ppc/boot/simple/Makefile	Fri Apr  8 16:43:12 2005
@@ -123,10 +123,13 @@ zimageinitrd-$(pcore)			:= zImage.initrd
          end-$(pcore)			:= pcore
    cacheflag-$(pcore)			:= -include $(clear_L2_L3)
 
+# Really only valid if CONFIG_6xx=y
       zimage-$(CONFIG_PPC_PREP)		:= zImage-PPLUS
 zimageinitrd-$(CONFIG_PPC_PREP)		:= zImage.initrd-PPLUS
+ifeq ($(CONFIG_6xx),y)
      extra.o-$(CONFIG_PPC_PREP)		:= prepmap.o
         misc-$(CONFIG_PPC_PREP)		+= misc-prep.o mpc10x_memory.o
+endif
          end-$(CONFIG_PPC_PREP)		:= prep
 
          end-$(CONFIG_SANDPOINT)	:= sandpoint
diff -puN arch/ppc/platforms/pmac_cache.S~ppc32-fix-building-32bit-kernel-for-64bit-machines arch/ppc/platforms/pmac_cache.S
--- 25/arch/ppc/platforms/pmac_cache.S~ppc32-fix-building-32bit-kernel-for-64bit-machines	Fri Apr  8 16:43:12 2005
+++ 25-akpm/arch/ppc/platforms/pmac_cache.S	Fri Apr  8 16:43:12 2005
@@ -28,6 +28,9 @@
  */
 
 _GLOBAL(flush_disable_caches)
+#ifndef CONFIG_6xx
+	blr
+#else
 BEGIN_FTR_SECTION
 	b	flush_disable_745x
 END_FTR_SECTION_IFSET(CPU_FTR_SPEC7450)
@@ -323,3 +326,4 @@ END_FTR_SECTION_IFSET(CPU_FTR_L3CR)
 	mtmsr	r11		/* restore DR and EE */
 	isync
 	blr
+#endif	/* CONFIG_6xx */
_
